<script setup lang="ts">
import { ref } from 'vue'
import { usePosStore } from '../stores/pos'
import { useLoadingStore } from '@/stores/loading'
import { useMessageStore } from '@/stores/message'
const tel = ref('')

const pos = usePosStore()
const loader = useLoadingStore()
const msgStore = useMessageStore()

function searchMember() {
  tel.value.trim()
  if (tel.value.length == 10) {
    pos.fetchCustomerByTel(tel.value)
  } else {
    msgStore.showMessage('Invalid telephone format', 'error')
  }
}
</script>
<template>
  <v-container>
    <v-row no-gutters>
      <v-col cols="12">
        <v-text-field
          flat
          rounded="lg"
          v-model="tel"
          density="compact"
          variant="solo"
          label="Member Search by tel"
          prepend-inner-icon="mdi-phone"
          append-inner-icon="mdi-magnify"
          single-line
          hide-details
          @click:append-inner="searchMember"
          @keyup.enter="searchMember"
        >
        </v-text-field>
      </v-col>
      <v-progress-linear indeterminate v-if="loader.isLoading" type="text" class="">
      </v-progress-linear>
      <div v-else>
        <v-col class="pa-2" cols="12">Name : {{ pos.selectedCustomer?.name ?? 'ไม่พบ' }}</v-col>
        <v-col class="pa-2" cols="12">Point : {{ pos.selectedCustomer?.point ?? 0 }} points</v-col>
      </div>
    </v-row>
  </v-container>
</template>
